verbose on

# Get install dir.
GetRegistryValue installdir=HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\InstallDir

# Check version.
versionCheck %installdir%\Configuration\version=4.9*,5.0*,5.1*,5.2*,5.3*

# Update configuration
system copy "Configuration\jobdefs.conf" "%installdir%\Configuration\Components\"
system copy "Configuration\appusage_counters" "%installdir%\Configuration\"
system copy "Configuration\appusage_process_rules.conf" "%installdir%\Configuration\"
system copy "Configuration\appusage_modpoller.conf" "%installdir%\Configuration\"
system ConfPatch.exe "Configuration\appusage.xml" "%installdir%\Configuration\Components\appusage.xml" copy=appusage.interval=appusage.interval.performance-monitor
system ConfPatch.exe "Configuration\appusage.xml" "%installdir%\Configuration\Components\appusage.xml" copy=appusage.level=appusage.level.module
system ConfPatch.exe "Configuration\appusage.xml" "%installdir%\Configuration\Components\appusage.xml" copy=appusage.level=appusage.level.perfproc
system ConfPatch.exe "Configuration\appusage.xml" "%installdir%\Configuration\Components\appusage.xml" copy=appusage.logging.module-data=appusage.logging.module-data.filter
system ConfPatch.exe "Configuration\appusage.xml" "%installdir%\Configuration\Components\appusage.xml" copy=appusage.logging=appusage.logging.performance-monitor
system ConfPatch.exe "Configuration\appusage.xml" "%installdir%\Configuration\Components\appusage.xml" replace=appusage.logging.process-data.polling=appusage.logging.process-data.polling
system ConfPatch.exe "Configuration\appusage.xml" "%installdir%\Configuration\Components\appusage.xml" replace=appusage.logging.process-data.events.kernel-driver=appusage.logging.events.kernel-driver
system ConfPatch.exe "Configuration\appusage.xml" "%installdir%\Configuration\Components\appusage.xml" replace=appusage.logging.process-data.events.native=appusage.logging.events.native
system ConfPatch.exe "Configuration\appusage.xml" "%installdir%\Configuration\Components\appusage.xml" replace=appusage.log.debug-level=appusage.log.debug-level
system ConfPatch.exe "Configuration\recorder.xml" "%installdir%\Configuration\Components\recorder.xml" copy=recorder=recorder.ie-logger

die off

# Stop service + recorder
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\SentinelMarker=2
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\Recorder\SentinelMarker=2
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Recorder\SentinelMarker=2
system net stop openit

# Wait for 30 seconds, to be sure all instances has ended
print Will sleep for 30 seconds to make sure all instances of Recorder has ended
sleep 30000


die on

# Copy binaries.
if ( osversion < 51 ) system copy "bin\AppUsageW2K.exe" "%installdir%\bin\AppUsage.exe"
if ( osversion >= 51 ) system copy "bin\AppUsage.exe" "%installdir%\bin\"
system copy "bin\OpeniTResources.exe" "%installdir%\bin\"
if ( exists != "%WINDIR%\system32\psapi.dll" ) system copy "bin\psapi.dll" "%installdir%\bin\"

# Rename
if ( exists == "%installdir%\bin\psapi.dll.bak" ) system del "%installdir%\bin\psapi.dll.bak"
if ( exists == "%installdir%\bin\pdh.dll.bak" ) system del "%installdir%\bin\pdh.dll.bak"
if ( osversion >= 51 ) if ( exists == "%WINDIR%\system32\psapi.dll" ) if ( exists == "%installdir%\bin\psapi.dll" ) system rename "%installdir%\bin\psapi.dll" psapi.dll.bak
if ( osversion >= 51 ) if ( exists == "%WINDIR%\system32\pdh.dll" ) if ( exists == "%installdir%\bin\pdh.dll" ) system rename "%installdir%\bin\pdh.dll" pdh.dll.bak

die off

# Start service again.
system net start openit

# Enable recorder and sentinel again
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\SentinelMarker=1
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Resources\Recorder\SentinelMarker=1
SetRegistryValue HKEY_LOCAL_MACHINE\SOFTWARE\OpeniT\Recorder\SentinelMarker=1

# Copy readme.
if ( exists != "%installdir%\patches" ) system mkdir "%installdir%\patches"
system copy "readme.txt" "%installdir%\patches\1071.readme.txt"
